Subject: Re: bug#49261: 28.0.50; File Locking Breaks Presumptuous Toolchains

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 01 Jul 2021 13:38:10 +0200

Eli Zaretskii <[email-masked]> writes:

>> Should the respective lock file be local (better for performance) or
>> also remote (better for locking a file being accessed from different
>> Emacsen somewhere)?
>
> Remote, I think, otherwise the lock can be easily ignored from another
> machine.

Auto-save files are local by default, so they have the same problem
(being ignored on other systems).  However, lock files are tiny, while
auto-save files can be arbitrarily big, so from a practical point of
view there's less reason to default lock files to being local.

So I agree that having lock files being remote would be a good default.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no